Bug 250832 - graphics/evince: Update to 3.38.0
Summary: graphics/evince: Update to 3.38.0
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-03 15:57 UTC by Neel Chauhan
Modified: 2020-12-04 19:41 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch (Revision 1) (1.80 KB, patch)
2020-11-03 15:57 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 2) (7.97 KB, patch)
2020-11-07 17:58 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 3) (5.31 KB, patch)
2020-11-15 22:37 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 4) (5.19 KB, patch)
2020-11-21 21:22 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 5) (3.10 KB, patch)
2020-12-04 19:41 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2020-11-03 15:57:08 UTC
Created attachment 219324 [details]
Patch (Revision 1)

Passes poudriere.
Comment 1 Tobias C. Berner freebsd_committer 2020-11-07 10:06:28 UTC
Moin moin 

This one requires some more work.


mfg Tobias

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: include/evince/%%VERSION%%/libdocument/ev-form-field-private.h
Error: Orphaned: man/man1/evince-previewer.1.gz
Error: Orphaned: man/man1/evince-thumbnailer.1.gz
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/evince
=>> Error: check-plist failures detected
=>> Cleaning up wrkdir
===>  Cleaning for evince-lite-3.38.0
Comment 2 Neel Chauhan 2020-11-07 17:58:05 UTC
Created attachment 219432 [details]
Patch (Revision 2)
Comment 3 Tobias C. Berner freebsd_committer 2020-11-15 10:10:33 UTC
Moin moin 

You dropped the options-subs in the plist -- this needs to be corrected.


mfg Tobias
Comment 4 Neel Chauhan 2020-11-15 22:37:27 UTC
Created attachment 219716 [details]
Patch (Revision 3)

Here's an updated patch.
Comment 5 Tobias C. Berner freebsd_committer 2020-11-21 18:41:46 UTC
-%%XPS%%lib/evince/4/backends/libxpsdocument.so
-lib/evince/4/backends/pdfdocument.evince-backend
+lib/evince/4/backends/libxpsdocument.so
+%%XPS%%lib/evince/4/backends/pdfdocument.evince-backend


this looks wrong :)
Comment 6 Neel Chauhan 2020-11-21 21:22:18 UTC
Created attachment 219868 [details]
Patch (Revision 4)
Comment 7 Tobias C. Berner freebsd_committer 2020-12-04 19:33:08 UTC
Moin moin

There still seems to be dropped plist items from options -- are they really not installed anymore?

Could you please double check and make sure?

Using `poudriere  -j<yourjail> -cn -p<yourtree> graphics/evince` you can set the options and double chekck.


mfg Tobias
Comment 8 Neel Chauhan 2020-12-04 19:41:16 UTC
Created attachment 220261 [details]
Patch (Revision 5)

Fixed the plist.